Summary:	Global SMS delivery for Asterisk, without using valuable PRI resources
Name:		asterisk-app_fastsms
Version:	1.02
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://www.bayhamsystems.com/asterisk.html
Source0:	http://www.bayhamsystems.com/downloads/asterisk-fastsmsapp-%{version}.tar.bz2
Patch0:		asterisk-fastsmsapp-1.02-mdk_conf.diff
BuildRequires:	curl-devel
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Interface module to connect an Asterisk system to Bayham's
SMS Gateway. This is the 'C' version and is the recommended
approach for most users. 

%prep

%setup -q -n asterisk-fastsmsapp-%{version}
%patch0 -p1

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%make \
    RPM_OPT_FLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk

install -m0644 fastsms.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0755 app_fastsms.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/asterisk/fastsms.conf
%attr(0755,root,root) %{_libdir}/asterisk/app_fastsms.so




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.02-3mdv2008.1
+ Revision: 140690
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.02-3mdv2007.0
+ Revision: 110703
- rebuilt against new curl libs

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.02-1mdv2007.1
+ Revision: 85584
- Import asterisk-app_fastsms

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.02-1mdk
- 1.02
- rediffed P0

* Mon Apr 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.00-1mdk
- initial package

